import math;
import hyperbolic_geometry;

size(500,500);
settings.outformat="pdf";

// What do we want to test?
// Many perpendiculars on two
// orthogonal diameters. This is some
// other kind of coordinate system.

hyperbolic_point A = hyperbolic_point(2.5,30);
hyperbolic_point B = hyperbolic_point(2.5,210);
dot(A, blue);
dot(B, blue);
hyperbolic_line l = hyperbolic_line(A, B);
draw(l, blue);
dot(l.get_first_endpoint(), blue);
dot(l.get_second_endpoint(), blue);

for (int i = 0; i <= 40; ++i ) {
    hyperbolic_point P = hyperbolic_point(0.05*i,30);
    dot(P, orange);
    hyperbolic_line N = hyperbolic_normal(l, P);
    draw(N, orange);
    hyperbolic_point P = hyperbolic_point(0.05*i,210);
    dot(P, orange);
    hyperbolic_line N = hyperbolic_normal(l, P);
    draw(N, orange);
}

/*
hyperbolic_point A = hyperbolic_point(2.5,120);
hyperbolic_point B = hyperbolic_point(2.5,300);
dot(A, blue);
dot(B, blue);
hyperbolic_line l = hyperbolic_line(A, B);
draw(l, blue);
dot(l.get_first_endpoint(), blue);
dot(l.get_second_endpoint(), blue);

for (int i = 1; i <= 40; ++i ) {
    hyperbolic_point P = hyperbolic_point(0.05*i,120);
    dot(P, orange);
    hyperbolic_line N = hyperbolic_normal(l, P);
    draw(N, orange);
    hyperbolic_point P = hyperbolic_point(0.05*i,300);
    dot(P, orange);
    hyperbolic_line N = hyperbolic_normal(l, P);
    draw(N, orange);
}*/

draw((1,1)--(1,-1)--(-1,-1)--(-1,1)--cycle);
draw(unitcircle);
